Subject: bug#75 closed by Mark Hindley <[email-masked]> (Re: moreinfo)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Tue, 14 Jan 2020 17:48:16 +0000

This is an automatic notification regarding your bug report
which was filed against the devuan-project package:

#75: InRelease formatting errors

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
75: bugs.devuan.org//cgi/bugreport.cgi?bug=75
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: moreinfo
From: Mark Hindley <[email-masked]>
To: [email-masked]
Date: Tue, 14 Jan 2020 17:36:00 +0000

Fixed.

Closing.

LeePen

Subject: InRelease formatting errors
From: Michael Stroucken <[email-masked]>
To: [email-masked]
Date: Sun, 14 May 2017 22:22:01 -0400

Package: devuan-project
Severity: important

I use approx to mediate access to the devuan repositories, and to cache
files for machines without a direct connection to the outside world.

approx incorrectly parses the lines in InRelease and fails to provide
the files to clients. I think I have found that the reason why approx
has problems is because devuan's InRelease files have two spaces at the
beginning of each line, while InRelease files for other debian-based
distributions only have one.

Depending on what the InRelease file specification is, the problem lies
either with the devuan formatting of InRelease files or approx.

I also noticed that the InRelease file for jessie-updates has a missing
newline before MD5Sum:
Components: main contrib non-freeMD5Sum:
  b195b097a2a4353f58cf73cebbc17062      520
non-free/binary-amd64/Packages.xz

The dates for this file are as follows:
Date: Mon, 15 May 2017 01:31:27 UTC
Valid-Until: Mon, 22 May 2017 01:31:27 UTC

Greetings,
Michael.